[med-svn] [Git][med-team/multiqc][master] Add functional test

Tássia Camões Araújo gitlab at salsa.debian.org
Wed Feb 24 06:10:16 GMT 2021



Tássia Camões Araújo pushed to branch master at Debian Med / multiqc


Commits:
741a07b5 by Tassia Camoes Araujo at 2021-02-24T01:10:16-05:00
Add functional test

- - - - -


2 changed files:

- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,32 @@
+#!/bin/sh -e
+
+pkg=multiqc
+CUR_DIR=`pwd`
+
+# Trivial test
+multiqc -h
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+# TODO: https://med-team.pages.debian.net/policy/#embedding-large-test-data
+
+# Example logs to generate a report can be downloaded from the project website:
+# https://multiqc.info/examples/rna-seq/data.zip
+
+# Following the procedure to embed test data, the following should do the job:
+
+#cp -a ${CUR_DIR}/debian-tests-data/* $AUTOPKGTEST_TMP
+#
+#cd $AUTOPKGTEST_TMP
+#
+#unzip *.zip
+#
+## Generate report from example logs
+#multiqc -f data/
+#
+#if [ -f multiqc_report.html ] ; then
+#  echo -e "\nPASS\n"
+#fi



View it on GitLab: https://salsa.debian.org/med-team/multiqc/-/commit/741a07b5543bc5a0c0a287bc653c2d9a7b8cebe5

-- 
View it on GitLab: https://salsa.debian.org/med-team/multiqc/-/commit/741a07b5543bc5a0c0a287bc653c2d9a7b8cebe5
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210224/1ed6371e/attachment-0001.htm>


More information about the debian-med-commit mailing list